# Uses of Interface
org.eclipse.debug.core.sourcelookup.ISourceContainerType

Packages that use ISourceContainerType
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.
org.eclipse.debug.core.sourcelookup.containers
Provides implementations of common source containers supporting source lookup.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.

## Uses of ISourceContainerType in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return ISourceContainerType
Modifier and Type
Method
Description
`ISourceContainerType`
ILaunchManager.`getSourceContainerType(String id)`
Returns the source container type extension registered with the given unique identifier, or `null` if none.
`ISourceContainerType[]`
ILaunchManager.`getSourceContainerTypes()`
Returns all registered source container type extensions.

## Uses of ISourceContainerType in org.eclipse.debug.core.sourcelookup

Methods in org.eclipse.debug.core.sourcelookup that return ISourceContainerType
Modifier and Type
Method
Description
`ISourceContainerType`
ISourceContainer.`getType()`
Returns this container's type.
Methods in org.eclipse.debug.core.sourcelookup with parameters of type ISourceContainerType
Modifier and Type
Method
Description
`boolean`
AbstractSourceLookupDirector.`supportsSourceContainerType(ISourceContainerType type)`
`boolean`
ISourceLookupDirector.`supportsSourceContainerType(ISourceContainerType type)`
Returns whether this source director supports the given type of source location.

## Uses of ISourceContainerType in org.eclipse.debug.core.sourcelookup.containers

Methods in org.eclipse.debug.core.sourcelookup.containers that return ISourceContainerType
Modifier and Type
Method
Description
`protected ISourceContainerType`
AbstractSourceContainer.`getSourceContainerType(String id)`
Returns the source container type identified by the given id, or `null` if none.
`ISourceContainerType`
ArchiveSourceContainer.`getType()`
`ISourceContainerType`
DefaultSourceContainer.`getType()`
`ISourceContainerType`
DirectorySourceContainer.`getType()`
`ISourceContainerType`
ExternalArchiveSourceContainer.`getType()`
`ISourceContainerType`
FolderSourceContainer.`getType()`
`ISourceContainerType`
ProjectSourceContainer.`getType()`
`ISourceContainerType`
WorkspaceSourceContainer.`getType()`

## Uses of ISourceContainerType in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup that return ISourceContainerType
Modifier and Type
Method
Description
`ISourceContainerType`
WorkingSetSourceContainer.`getType()`